%define upstream_name    Log-Any-Adapter-Callback
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Send Log::Any logs to a subroutine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Log::Any::Adapter)
BuildRequires: perl(Test::More)
BuildArch: noarch

%{?perl_default_filter}

%description
This adapter lets you specify callback subroutine to be called by
Log::Any's logging methods (like $log->debug(), $log->error(), etc) and
detection methods (like $log->is_warning(), $log->is_fatal(), etc.).

This adapter is used for customized logging, and is mostly a convenient
construct to save a few lines of code. You could achieve the same effect by
creating a full Log::Any adapter class.

Your logging callback subroutine will be called with these arguments:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE README META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-7.mga6
+ Revision: 1029307
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.90.0-6.mga6
+ Revision: 948576
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 788106
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 747792
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.90.0-3.mga5
+ Revision: 733163
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-2.mga5
+ Revision: 685256
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 0.90.0-1.mga5
+ Revision: 634126
- imported package perl-Log-Any-Adapter-Callback


* Fri Jun 06 2014 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
